org.eclipse.net4j.util.transaction

## Interface ITransaction<CONTEXT>

- All Known Implementing Classes:
    Transaction

      public interface ITransaction<CONTEXT>

  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `commit()`
    `void` | `execute(ITransactionalOperation<CONTEXT> operation)`
    `CONTEXT` | `getContext()`
    `boolean` | `isActive()`
    `void` | `rollback()`

- - ### Method Detail

    - #### isActive

          boolean isActive()

    - #### getContext

          CONTEXT getContext()

    - #### execute

          void execute(ITransactionalOperation<CONTEXT> operation)
                throws TransactionException

      Throws:
        `TransactionException`

    - #### commit

          void commit()

    - #### rollback

          void rollback()

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html